with Strings;
use Strings ;

pragma Elaborate_All (Strings);

generic

   P: in Param;
   Trunc: in Boolean;

package Params.Names is

   Prefix: String renames P.Prefix;
   Map: Natural renames P.Map;
   Alpha: Rational renames P.Alpha;
   BetaI: Integer renames P.BetaI;
   BetaJ: Positive renames P.BetaJ;
   FDeg: Natural renames P.FDeg;
   Size: Positive renames P.Size;
   Rho1: Radius renames P.Rho1;
   Rho2: Radius renames P.Rho2;
   RefPhi: MinusOneZeroOne renames P.RefPhi;
   RefTh: MinusOneZeroOne renames P.RefTh;
   Symm: Natural renames P.Symm;
   Mixed: Boolean  renames P.Mixed;
   Par: Parity renames P.Par;
   FreqPar: MinusOneZeroOne renames P.FreqPar;
   Mat_PackCSize: Positive renames P.Mat_PackCSize;
   Contr_PackCSize: Natural renames P.Contr_PackCSize;
   Mat_PackSSize: Positive renames P.Mat_PackSSize;
   Contr_PackSSize: Natural renames P.Contr_PackSSize;

   Post: constant String := Choose(Trunc,".approx","");
   Mat_Name: constant String := Prefix & "-mat." & Strng0(Mat_PackCSize,3) & "." & Strng0(Mat_PackSSize,3);
   Fix_Name: constant String := Prefix & "-fix" & Post;
   Plot_Name: constant String := Prefix & ".plot";
   Eigen_Name: constant String := Prefix & ".eigen";

end Params.Names;
